/* ===== 全局 ===== */
body {
    margin: 0;
    font-family: "Microsoft YaHei";
    background: url("../img/bg.png") repeat;
    background-color: #f6e9e6;
}

/* ===== 卡片 ===== */
.card {
    background: rgba(255,255,255);
    backdrop-filter: blur(20px);
    border-radius: 20px;
    padding: 5px;
    box-shadow: 0 4px 20px rgba(0,0,0,0.35);
}

/* ===== 文章 ===== */
.index-post-card {
    margin: 30px auto;
    max-width: 1000px;
    margin-bottom: 30px;
    border-radius: 20px;
}

.index-post-thumb {
    width: 100%;
    height: 300px;
    overflow: hidden;
    border-radius: 20px;
    margin-bottom: 20px;
}

.index-post-thumb img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.4s;
}

/* hover 微动效 */
.index-post-card:hover img {
    transform: scale(1.05);
}

/* 标题 */
.index-post-title {
    font-size: 38px;
    font-weight: normal;
    margin-left: 150px;
    margin-bottom: 10px;
}

.index-post-title a {
    color: #6d5452;
    text-decoration: none;
}

/* 信息栏 */
.index-post-meta {
    margin-left: 150px;
    margin-bottom: 15px;
    font-size: 14px;
    color: #6d5452;

    display: flex;
    gap: 20px;
    align-items: center;
}

.meta-item {
    display: flex;
    align-items: center;
    gap: 6px;
}

.meta-item a {
    text-decoration: none;
    color: #503E3C;
}

/* 主页内容 */
.index-post-excerpt {
    margin-left: 150px;
    margin-bottom: 20px;
    color: #c2a6a4;
    line-height: 1.6;
}

.index-post-excerpt a {
    color: inherit;
    text-decoration: none;
}

/* 标签 */
.index-post-tags {
    margin-left: 150px;
}

.index-post-tags a {
    display: inline-block;
    padding: 5px 12px;
    margin-right: 8px;
    margin-bottom: 5px;

    border-radius: 20px;
    background: rgba(109, 71, 68, 0.2);
    color: #6d5452;
    font-size: 12px;
    text-decoration: none;

    transition: 0.3s;
}

.index-post-tags a:hover {
    background: #6d5452;
    color: #fff;
}